import { IFloatingFilterParams, FilterChangedEvent } from 'ag-grid-community';
import BaseFloatingFilter from '../base-floating-filter';
import { StringFilterHelper } from './string-filter-helper';
export declare class StringFloatingFilter extends BaseFloatingFilter {
    filterHelper: StringFilterHelper;
    init(params: IFloatingFilterParams & {
        searchMinLength: number;
        isMultiple: boolean;
    }): void;
    setupContentGui(): string;
    setupInputField(): string;
    textDisplayedChanged(): void;
    resetFilter(): void;
    onParentModelChanged(parentModel: any, filterChangedEvent?: FilterChangedEvent): void;
    getModelAsString(): string;
    setupContentGuiSideFilter(): string;
    protected applyObservers(): void;
}
